# Interface ConstructorReturndataAllocation

#### Hierarchy

- ConstructorReturndataAllocation

- Defined in codec/lib/abi-data/allocate/types.ts:184

#####
Index

### Properties

allocationMode
delegatecallGuard
immutables?
kind
selector

## Properties

### allocationMode

allocationMode: DecodingMode

- Defined in codec/lib/abi-data/allocate/types.ts:189

### delegatecallGuard

delegatecallGuard: boolean

- Defined in codec/lib/abi-data/allocate/types.ts:188

### `Optional` immutables

immutables?: ReturnImmutableAllocation[]

- Defined in codec/lib/abi-data/allocate/types.ts:187

### kind

kind: "bytecode"

- Defined in codec/lib/abi-data/allocate/types.ts:185

### selector

selector: Uint8Array

- Defined in codec/lib/abi-data/allocate/types.ts:186

Generated using TypeDoc